## GtrHeader

GtrHeader

## Functions

GtrHeader * | gtr_header_new ()
const gchar * | gtr_header_get_comments ()
void | gtr_header_set_comments ()
gchar * | gtr_header_get_prj_id_version ()
void | gtr_header_set_prj_id_version ()
gchar * | gtr_header_get_rmbt ()
void | gtr_header_set_rmbt ()
gchar * | gtr_header_get_pot_date ()
void | gtr_header_set_pot_date ()
gchar * | gtr_header_get_po_date ()
void | gtr_header_set_po_date ()
gchar * | gtr_header_get_translator ()
gchar * | gtr_header_get_tr_email ()
void | gtr_header_set_translator ()
gchar * | gtr_header_get_language ()
gchar * | gtr_header_get_lg_email ()
void | gtr_header_set_language ()
gchar * | gtr_header_get_mime_version ()
void | gtr_header_set_mime_version ()
gchar * | gtr_header_get_charset ()
void | gtr_header_set_charset ()
gchar * | gtr_header_get_encoding ()
void | gtr_header_set_encoding ()
gchar * | gtr_header_get_plural_forms ()
void | gtr_header_set_plural_forms ()
gint | gtr_header_get_nplurals ()
void | gtr_header_update_header ()
void | gtr_header_set_profile ()
GtrProfile * | gtr_header_get_profile ()

## Description

## Functions

### gtr_header_new ()

    GtrHeader *
    gtr_header_new (po_message_iterator_t iter,
                    po_message_t message);

#### Returns

### gtr_header_get_comments ()

    const gchar *
    gtr_header_get_comments (GtrHeader *header);

Gets the comments of the header.

#### Parameters

header | a GtrHeader |

#### Returns

the comments of the header.

### gtr_header_set_comments ()

    void
    gtr_header_set_comments (GtrHeader *header,
                             const gchar *comments);

### gtr_header_get_prj_id_version ()

    gchar *
    gtr_header_get_prj_id_version (GtrHeader *header);

#### Returns

### gtr_header_set_prj_id_version ()

    void
    gtr_header_set_prj_id_version (GtrHeader *header,
                                   const gchar *prj_id_version);

### gtr_header_get_rmbt ()

    gchar *
    gtr_header_get_rmbt (GtrHeader *header);

#### Returns

### gtr_header_set_rmbt ()

    void
    gtr_header_set_rmbt (GtrHeader *header,
                         const gchar *rmbt);

### gtr_header_get_pot_date ()

    gchar *
    gtr_header_get_pot_date (GtrHeader *header);

#### Returns

### gtr_header_set_pot_date ()

    void
    gtr_header_set_pot_date (GtrHeader *header,
                             const gchar *pot_date);

### gtr_header_get_po_date ()

    gchar *
    gtr_header_get_po_date (GtrHeader *header);

#### Returns

### gtr_header_set_po_date ()

    void
    gtr_header_set_po_date (GtrHeader *header,
                            const gchar *po_date);

### gtr_header_get_translator ()

    gchar *
    gtr_header_get_translator (GtrHeader *header);

#### Returns

### gtr_header_get_tr_email ()

    gchar *
    gtr_header_get_tr_email (GtrHeader *header);

#### Returns

### gtr_header_set_translator ()

    void
    gtr_header_set_translator (GtrHeader *header,
                               const gchar *name,
                               const gchar *email);

### gtr_header_get_language ()

    gchar *
    gtr_header_get_language (GtrHeader *header);

#### Returns

### gtr_header_get_lg_email ()

    gchar *
    gtr_header_get_lg_email (GtrHeader *header);

#### Returns

### gtr_header_set_language ()

    void
    gtr_header_set_language (GtrHeader *header,
                             const gchar *language,
                             const gchar *email);

### gtr_header_get_mime_version ()

    gchar *
    gtr_header_get_mime_version (GtrHeader *header);

#### Returns

### gtr_header_set_mime_version ()

    void
    gtr_header_set_mime_version (GtrHeader *header,
                                 const gchar *mime_version);

### gtr_header_get_charset ()

    gchar *
    gtr_header_get_charset (GtrHeader *header);

#### Returns

### gtr_header_set_charset ()

    void
    gtr_header_set_charset (GtrHeader *header,
                            const gchar *charset);

### gtr_header_get_encoding ()

    gchar *
    gtr_header_get_encoding (GtrHeader *header);

#### Returns

### gtr_header_set_encoding ()

    void
    gtr_header_set_encoding (GtrHeader *header,
                             const gchar *encoding);

### gtr_header_get_plural_forms ()

    gchar *
    gtr_header_get_plural_forms (GtrHeader *header);

#### Parameters

header | a GtrHeader. |

#### Returns

a new allocated string with the plural form of the po file.

### gtr_header_set_plural_forms ()

    void
    gtr_header_set_plural_forms (GtrHeader *header,
                                 const gchar *plural_forms);

Sets the plural form string in the `header` and it sets the number of plurals.

#### Parameters

header | a GtrHeader |
plural_forms | the plural forms string. |

### gtr_header_get_nplurals ()

    gint
    gtr_header_get_nplurals (GtrHeader *header);

#### Returns

### gtr_header_update_header ()

    void
    gtr_header_update_header (GtrHeader *header);

### gtr_header_set_profile ()

    void
    gtr_header_set_profile (GtrHeader *header,
                            GtrProfile *profile);

### gtr_header_get_profile ()

    GtrProfile *
    gtr_header_get_profile (GtrHeader *header);

Gets the profile of the header

#### Parameters

header | a GtrHeader |

#### Returns

the profile of the header.

[transfer none]

## Types and Values